// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.9
// source: proto/master/catalog/transport_shelter.proto

package catalog

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type TransportShelter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          uint64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	TransportId uint64                 `protobuf:"varint,2,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
	Name        string                 `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Code        string                 `protobuf:"bytes,4,opt,name=code,proto3" json:"code,omitempty"`
	Province    string                 `protobuf:"bytes,5,opt,name=province,proto3" json:"province,omitempty"`
	City        string                 `protobuf:"bytes,6,opt,name=city,proto3" json:"city,omitempty"`
	Address     string                 `protobuf:"bytes,7,opt,name=address,proto3" json:"address,omitempty"`
	CreatedAt   *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedAt   *timestamppb.Timestamp `protobuf:"bytes,9,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *TransportShelter) Reset() {
	*x = TransportShelter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportShelter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportShelter) ProtoMessage() {}

func (x *TransportShelter) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportShelter.ProtoReflect.Descriptor instead.
func (*TransportShelter) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{0}
}

func (x *TransportShelter) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *TransportShelter) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

func (x *TransportShelter) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *TransportShelter) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

func (x *TransportShelter) GetProvince() string {
	if x != nil {
		return x.Province
	}
	return ""
}

func (x *TransportShelter) GetCity() string {
	if x != nil {
		return x.City
	}
	return ""
}

func (x *TransportShelter) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *TransportShelter) GetCreatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *TransportShelter) GetUpdatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type ListTransportShelter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransportShelters []*TransportShelter `protobuf:"bytes,1,rep,name=transport_shelters,json=transportShelters,proto3" json:"transport_shelters,omitempty"`
}

func (x *ListTransportShelter) Reset() {
	*x = ListTransportShelter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTransportShelter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTransportShelter) ProtoMessage() {}

func (x *ListTransportShelter) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTransportShelter.ProtoReflect.Descriptor instead.
func (*ListTransportShelter) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{1}
}

func (x *ListTransportShelter) GetTransportShelters() []*TransportShelter {
	if x != nil {
		return x.TransportShelters
	}
	return nil
}

type CreateTransportShelterRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransportId uint64 `protobuf:"varint,1,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
	Name        string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Code        string `protobuf:"bytes,3,opt,name=code,proto3" json:"code,omitempty"`
	Province    string `protobuf:"bytes,4,opt,name=province,proto3" json:"province,omitempty"`
	City        string `protobuf:"bytes,5,opt,name=city,proto3" json:"city,omitempty"`
	Address     string `protobuf:"bytes,6,opt,name=address,proto3" json:"address,omitempty"`
}

func (x *CreateTransportShelterRequest) Reset() {
	*x = CreateTransportShelterRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateTransportShelterRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateTransportShelterRequest) ProtoMessage() {}

func (x *CreateTransportShelterRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateTransportShelterRequest.ProtoReflect.Descriptor instead.
func (*CreateTransportShelterRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{2}
}

func (x *CreateTransportShelterRequest) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

func (x *CreateTransportShelterRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateTransportShelterRequest) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

func (x *CreateTransportShelterRequest) GetProvince() string {
	if x != nil {
		return x.Province
	}
	return ""
}

func (x *CreateTransportShelterRequest) GetCity() string {
	if x != nil {
		return x.City
	}
	return ""
}

func (x *CreateTransportShelterRequest) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

type UpdateTransportShelterRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          uint64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	TransportId uint64 `protobuf:"varint,2,opt,name=transport_id,json=transportId,proto3" json:"transport_id,omitempty"`
	Name        string `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Code        string `protobuf:"bytes,4,opt,name=code,proto3" json:"code,omitempty"`
	Province    string `protobuf:"bytes,5,opt,name=province,proto3" json:"province,omitempty"`
	City        string `protobuf:"bytes,6,opt,name=city,proto3" json:"city,omitempty"`
	Address     string `protobuf:"bytes,7,opt,name=address,proto3" json:"address,omitempty"`
}

func (x *UpdateTransportShelterRequest) Reset() {
	*x = UpdateTransportShelterRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateTransportShelterRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateTransportShelterRequest) ProtoMessage() {}

func (x *UpdateTransportShelterRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateTransportShelterRequest.ProtoReflect.Descriptor instead.
func (*UpdateTransportShelterRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{3}
}

func (x *UpdateTransportShelterRequest) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *UpdateTransportShelterRequest) GetTransportId() uint64 {
	if x != nil {
		return x.TransportId
	}
	return 0
}

func (x *UpdateTransportShelterRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdateTransportShelterRequest) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

func (x *UpdateTransportShelterRequest) GetProvince() string {
	if x != nil {
		return x.Province
	}
	return ""
}

func (x *UpdateTransportShelterRequest) GetCity() string {
	if x != nil {
		return x.City
	}
	return ""
}

func (x *UpdateTransportShelterRequest) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

type DeleteTransportShelterResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *DeleteTransportShelterResponse) Reset() {
	*x = DeleteTransportShelterResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteTransportShelterResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteTransportShelterResponse) ProtoMessage() {}

func (x *DeleteTransportShelterResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteTransportShelterResponse.ProtoReflect.Descriptor instead.
func (*DeleteTransportShelterResponse) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteTransportShelterResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type TransportShelterFilterQuery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query string `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	Page  int32  `protobuf:"varint,2,opt,name=page,proto3" json:"page,omitempty"`
	Limit int32  `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
}

func (x *TransportShelterFilterQuery) Reset() {
	*x = TransportShelterFilterQuery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportShelterFilterQuery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportShelterFilterQuery) ProtoMessage() {}

func (x *TransportShelterFilterQuery) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportShelterFilterQuery.ProtoReflect.Descriptor instead.
func (*TransportShelterFilterQuery) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{5}
}

func (x *TransportShelterFilterQuery) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *TransportShelterFilterQuery) GetPage() int32 {
	if x != nil {
		return x.Page
	}
	return 0
}

func (x *TransportShelterFilterQuery) GetLimit() int32 {
	if x != nil {
		return x.Limit
	}
	return 0
}

type TransportShelterIdentifierRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id uint64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *TransportShelterIdentifierRequest) Reset() {
	*x = TransportShelterIdentifierRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportShelterIdentifierRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportShelterIdentifierRequest) ProtoMessage() {}

func (x *TransportShelterIdentifierRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_transport_shelter_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportShelterIdentifierRequest.ProtoReflect.Descriptor instead.
func (*TransportShelterIdentifierRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_transport_shelter_proto_rawDescGZIP(), []int{6}
}

func (x *TransportShelterIdentifierRequest) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_proto_master_catalog_transport_shelter_proto protoreflect.FileDescriptor

var file_proto_master_catalog_transport_shelter_proto_rawDesc = []byte{
	0x0a, 0x2c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2f, 0x63,
	0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x5f, 0x73, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e,
	0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xad, 0x02, 0x0a, 0x10, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x74, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x63,
	0x6f, 0x64, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x12,
	0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x63,
	0x69, 0x74, 0x79, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x63, 0x69, 0x74, 0x79, 0x12,
	0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x41, 0x74, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f,
	0x61, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x22,
	0x67, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x4f, 0x0a, 0x12, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x5f, 0x73, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74,
	0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68,
	0x65, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x11, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x73, 0x22, 0xb4, 0x01, 0x0a, 0x1d, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c,
	0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x63, 0x6f, 0x64, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63,
	0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x69, 0x74, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x63, 0x69, 0x74, 0x79, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22,
	0xc4, 0x01, 0x0a, 0x1d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x21, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x12, 0x1a, 0x0a, 0x08,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x6e, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x69, 0x74, 0x79,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x63, 0x69, 0x74, 0x79, 0x12, 0x18, 0x0a, 0x07,
	0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61,
	0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0x3a, 0x0a, 0x1e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x22, 0x5d, 0x0a, 0x1b, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53,
	0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x51, 0x75, 0x65, 0x72,
	0x79, 0x12, 0x14, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x67, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x70, 0x61, 0x67, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6c,
	0x69, 0x6d, 0x69, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x6c, 0x69, 0x6d, 0x69,
	0x74, 0x22, 0x33, 0x0a, 0x21, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68,
	0x65, 0x6c, 0x74, 0x65, 0x72, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x02, 0x69, 0x64, 0x32, 0xca, 0x04, 0x0a, 0x17, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x69, 0x0a, 0x16, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2d, 0x2e, 0x6d,
	0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x6d, 0x61,
	0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x69, 0x0a,
	0x16, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2d, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72,
	0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e,
	0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x7b, 0x0a, 0x16, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74,
	0x65, 0x72, 0x12, 0x31, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61,
	0x6c, 0x6f, 0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x74, 0x65, 0x72, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63,
	0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6e, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72, 0x42, 0x79, 0x49, 0x44,
	0x12, 0x31, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f,
	0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74,
	0x65, 0x72, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74,
	0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68,
	0x65, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x6c, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x4c, 0x69, 0x73, 0x74,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74, 0x65, 0x72,
	0x12, 0x2b, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f,
	0x67, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x74,
	0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x51, 0x75, 0x65, 0x72, 0x79, 0x1a, 0x24, 0x2e,
	0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x68, 0x65, 0x6c,
	0x74, 0x65, 0x72, 0x42, 0x19, 0x5a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_master_catalog_transport_shelter_proto_rawDescOnce sync.Once
	file_proto_master_catalog_transport_shelter_proto_rawDescData = file_proto_master_catalog_transport_shelter_proto_rawDesc
)

func file_proto_master_catalog_transport_shelter_proto_rawDescGZIP() []byte {
	file_proto_master_catalog_transport_shelter_proto_rawDescOnce.Do(func() {
		file_proto_master_catalog_transport_shelter_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_master_catalog_transport_shelter_proto_rawDescData)
	})
	return file_proto_master_catalog_transport_shelter_proto_rawDescData
}

var file_proto_master_catalog_transport_shelter_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_proto_master_catalog_transport_shelter_proto_goTypes = []interface{}{
	(*TransportShelter)(nil),                  // 0: master.catalog.TransportShelter
	(*ListTransportShelter)(nil),              // 1: master.catalog.ListTransportShelter
	(*CreateTransportShelterRequest)(nil),     // 2: master.catalog.CreateTransportShelterRequest
	(*UpdateTransportShelterRequest)(nil),     // 3: master.catalog.UpdateTransportShelterRequest
	(*DeleteTransportShelterResponse)(nil),    // 4: master.catalog.DeleteTransportShelterResponse
	(*TransportShelterFilterQuery)(nil),       // 5: master.catalog.TransportShelterFilterQuery
	(*TransportShelterIdentifierRequest)(nil), // 6: master.catalog.TransportShelterIdentifierRequest
	(*timestamppb.Timestamp)(nil),             // 7: google.protobuf.Timestamp
}
var file_proto_master_catalog_transport_shelter_proto_depIdxs = []int32{
	7, // 0: master.catalog.TransportShelter.created_at:type_name -> google.protobuf.Timestamp
	7, // 1: master.catalog.TransportShelter.updated_at:type_name -> google.protobuf.Timestamp
	0, // 2: master.catalog.ListTransportShelter.transport_shelters:type_name -> master.catalog.TransportShelter
	2, // 3: master.catalog.TransportShelterService.CreateTransportShelter:input_type -> master.catalog.CreateTransportShelterRequest
	3, // 4: master.catalog.TransportShelterService.UpdateTransportShelter:input_type -> master.catalog.UpdateTransportShelterRequest
	6, // 5: master.catalog.TransportShelterService.DeleteTransportShelter:input_type -> master.catalog.TransportShelterIdentifierRequest
	6, // 6: master.catalog.TransportShelterService.GetTransportShelterByID:input_type -> master.catalog.TransportShelterIdentifierRequest
	5, // 7: master.catalog.TransportShelterService.GetListTransportShelter:input_type -> master.catalog.TransportShelterFilterQuery
	0, // 8: master.catalog.TransportShelterService.CreateTransportShelter:output_type -> master.catalog.TransportShelter
	0, // 9: master.catalog.TransportShelterService.UpdateTransportShelter:output_type -> master.catalog.TransportShelter
	4, // 10: master.catalog.TransportShelterService.DeleteTransportShelter:output_type -> master.catalog.DeleteTransportShelterResponse
	0, // 11: master.catalog.TransportShelterService.GetTransportShelterByID:output_type -> master.catalog.TransportShelter
	1, // 12: master.catalog.TransportShelterService.GetListTransportShelter:output_type -> master.catalog.ListTransportShelter
	8, // [8:13] is the sub-list for method output_type
	3, // [3:8] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_proto_master_catalog_transport_shelter_proto_init() }
func file_proto_master_catalog_transport_shelter_proto_init() {
	if File_proto_master_catalog_transport_shelter_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_master_catalog_transport_shelter_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportShelter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTransportShelter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateTransportShelterRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateTransportShelterRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteTransportShelterResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportShelterFilterQuery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_transport_shelter_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportShelterIdentifierRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_master_catalog_transport_shelter_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_master_catalog_transport_shelter_proto_goTypes,
		DependencyIndexes: file_proto_master_catalog_transport_shelter_proto_depIdxs,
		MessageInfos:      file_proto_master_catalog_transport_shelter_proto_msgTypes,
	}.Build()
	File_proto_master_catalog_transport_shelter_proto = out.File
	file_proto_master_catalog_transport_shelter_proto_rawDesc = nil
	file_proto_master_catalog_transport_shelter_proto_goTypes = nil
	file_proto_master_catalog_transport_shelter_proto_depIdxs = nil
}
